package cn.com.qmth.scancentral.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;

import cn.com.qmth.scancentral.entity.base.AuditingWithoutIdEntity;

// 科目
@TableName(value = "sc_subject", autoResultMap = true)
public class SubjectEntity extends AuditingWithoutIdEntity {

    /**
     * 
     */
    private static final long serialVersionUID = 8795800729334229171L;

    @MppMultiId
    private Long examId;

    @MppMultiId
    private String code;

    private String name;

    public SubjectEntity(Long examId, String subjectCode, String subjectName) {
        this.examId = examId;
        this.code = subjectCode;
        this.name = subjectName;
    }

    public SubjectEntity() {
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
